Deals
DE EUR

Shop in

Store prices are shown for one country at a time, in its own currency.

Compare specs

Ad · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Yealink SIP T42U

Yealink · IP Phone

Yealink SIP T42U price in Germany

MPN 1301201EAN 841885102966EAN 6938818304826

  • Display6.86 cm (2.7")
  • Resolution192 x 68 pixels
  • TypeIP Phone
  • ColourGrey

Lowest price

132,22 €

at Netzwerkartikel.deIn stock

  • 1 store
  • 1 in stock
  • Checked 6 Oct 2026, 05:40 UTC

Ad · prices and stock as last reported by the store; the store's checkout is what counts.

Full specifications and side-by-side comparison

Prices in Germany

1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC

Lowest price132,22 €at Netzwerkartikel.de · shipping not statedGo to Netzwerkartikel.de (opens in a new tab)
Price range across 1 offer

Every store asks the same price.

  • 1 of 1 stores in stock
  • 0 with free shipping
  • Checked 6 Oct 2026, 05:40 UTC

  1. Netzwerkartikel.deLowest priceYealink SIP T42U IP phone In stockShipping not stated
    132,22 €item price, shipping extra
    Go to store : Netzwerkartikel.de (opens in a new tab)

Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.

Price history in Germany

Price history is being collected. After 14 days of prices we will show whether today's price is good.

Best price · Netzwerkartikel.de132,22 €
Go to store

Product details

Identification

Brand
Yealink
Product
SIP T42U
Full name
Yealink SIP T42U IP phone Grey LCD Wi-Fi
Manufacturer part number
1301201
EAN / UPC
841885102966, 6938818304826
Category
IP Phone

55 specifications from the manufacturer's data sheet

Design

Product typeIP Phone
Handset typeWireless handset
Product colourGrey
Device lockYes
MountingDesk/Wall
Wall mountableYes

Phone features

Anonymous callYes
Anonymous call rejectionYes
Call forwardingYes
Call historyYes
Call holdYes
Call parkYes
Call pick upYes
Call transferYes
Call waitingYes
Caller IDYes
Conference callYes
Direct callYes
Distinctive ringYes
Do not disturb functionYes
Full duplexYes
Number of VoIP accounts12
Phonebook capacity1000 entries
RedialingYes
Speed diallingYes

Management features

Integrated voicemailNo
Number of function keys5
Number of programmable keys6

Display

DisplayLCD
Display diagonal6.86 cm (2.7")
Display resolution192 x 68 pixels

Camera

Rear cameraYes

Network

Ethernet LANYes
Ethernet LAN interface typeGigabit Ethernet
Wi-FiYes
BluetoothYes
Networking standardsIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3af
Quality of Service (QoS) supportYes
Security algorithms256-bit AES, HTTPS, TLS, WPA2, WPA3
Supported network protocolsIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)

Ports & interfaces

USB 2.0 ports quantity2
Ethernet LAN (RJ-45) ports2
RJ-9 ports quantity2

Power

Power consumption (typical)2.2 W

Operational conditions

Operating relative humidity (H-H)10 - 95%
Operating temperature (T-T)-10 - 50 °C

Weight & dimensions

Width212 mm
Depth189 mm
Height175 mm
Package width627 mm
Package depth256 mm
Package height235 mm
Package weight63 kg

Packaging content

AC adapter includedNo
Number of handles included1 pc(s)

More ip phones deals in Germany

All ip phones deals

Yealink

T88V Pro

Display
17.8 cm (7")
Resolution
1024 x 600 pixels
Type
IP Phone

507,58 €

Cheapest at Netzwerkartikel.de

See the offer

Yealink

T88W Pro

Display
17.8 cm (7")
Resolution
1024 x 600 pixels
Type
IP Phone

373,72 €

Cheapest at Netzwerkartikel.de

See the offer